Risk Unit Borrow (TRADE)
API Description
This endpoint is used to perform a borrow request for that specified risk unit. This endpoint is accessible only with the credit account API key.
HTTP Request
POST /sapi/v1/margin/loan-group/borrow
Request Weight
3000(UID)
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| groupId | LONG | YES | Risk unit unique identifier |
| assetName | STRING | YES | Asset Name , USDT or USDC or BTC or U |
| amount | DECIMAL | YES |
- You need to open Enable Spot & Margin Trading permission for the API Key which requests this endpoint.
- The
amountfield refers to the quantity of the borrowed asset. The maximum allowable amount is subject to collateral ratio adjustment. The applicable collateral ratio depends on the margin mode of the credit account.
Response Example
{
"transactionId": 12317283617,
"amount": 123456.78,
"status": "success"
}
Response detail description
| Parameter | Type | Description |
|---|---|---|
| transactionId | String | Transaction ID |
| amount | DECIMAL | The amount borrowed |
| status | String | success: Borrow Successfully |
Error Code
- -27009: The requested borrow amount exceeds the maximum allowed limit.